Bug 240793 - Review Request: hdhomerun - tools for the Silicon Dust HDHomeRun
Review Request: hdhomerun - tools for the Silicon Dust HDHomeRun
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
: 243704 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-21 14:23 EDT by Jarod Wilson
Modified: 2013-06-03 06:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.0-0.2.20070616.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 16:55:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeff: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2007-05-21 14:23:11 EDT
Spec URL: http://people.redhat.com/jwilson/packages/libhdhomerun/libhdhomerun.spec
SRPM URL: http://people.redhat.com/jwilson/packages/libhdhomerun/libhdhomerun-0.0-0.1.20070512.fc7.src.rpm

Description:
libhdhomerun contains development headers for applications wishing to interface with the Silicon Dust HDHomeRun, as well as an HDHomeRun configuration/firmware update utility. (no firmware included, just the utility to push it).
Comment 1 Jeffrey C. Ollie 2007-06-15 13:27:38 EDT
*** Bug 243704 has been marked as a duplicate of this bug. ***
Comment 2 Jeffrey C. Ollie 2007-06-15 13:39:14 EDT
While the upstream tarball is called "libhdhomerun" there isn't really a library
produced.  That's why I chose to call the package that I put together "hdhomerun".

Also, I'm not sure how useful it is at this point to install the header files
into a -devel subpackage because there's no library to link against.
Comment 3 Jarod Wilson 2007-06-18 09:43:46 EDT
Okay, try these on for size:

http://people.redhat.com/jwilson/packages/hdhomerun/hdhomerun-0.0-0.1.20070616.fc7.src.rpm
http://people.redhat.com/jwilson/packages/hdhomerun/hdhomerun.spec

----8<----
* Mon Jun 18 2007 Jarod Wilson <jwilson@redhat.com> 0.0-0.1.20070616
- Update to 20070616 release
- Don't install any of the header files and drop lib from the package
  name, since this really isn't a library
Comment 4 Jeffrey C. Ollie 2007-06-18 13:33:17 EDT
 1 - MUST: rpmlint must be run on every package. The output should be
           posted in the review.

OK (rpmlint is silent)

 2 - MUST: The package must be named according to the Package Naming
           Guidelines.

OK

 3 - MUST: The spec file name must match the base package %{name}, in
           the format %{name}.spec

OK

 4 - MUST: The package must meet the Packaging Guidelines.

OK - minor suggestion, use sed to manipulate the Makefile and drop
the BR on perl:

--- hdhomerun.spec      2007-06-18 08:40:19.000000000 -0500
+++ hdhomerun.spec.new  2007-06-18 07:14:12.000000000 -0500
@@ -9,7 +9,6 @@
 URL:           http://www.silicondust.com/
 Source0:      
http://download.silicondust.com/hdhomerun/libhdhomerun_%{releasedate}.tgz
 BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-BuildRequires:  perl
 
 %description
 libhdhomerun contains the configuration and firmware upgrade
@@ -20,7 +19,7 @@
 # Fix up linefeeds, drop execute bit and don't strip binaries
 %{__sed} -i 's/\r//' *
 %{__chmod} -x *
-%{__perl} -pi -e 's/strip.*//g' Makefile
+%{__sed} -i -e '/strip/d' -e 's/C\(PP\)\?FLAGS .=/C\1FLAGS ?=/' Makefile

Another minor point (not a blocker), the source files are encoded with
ISO-8859-1, converting them to UTF-8 might be helpful.  Not a big deal
because AFAIK it only affects the © symbol in the header:

for f in *; do
  /usr/bin/iconv -f iso-8859-1 -t utf-8 --output $f.new $f && mv $f.new $f
done

 %build
 export CFLAGS="$RPM_OPT_FLAGS"


 5 - MUST: The package must be licensed with an open-source compatible
           license and meet other legal requirements as defined in the
           legal section of Packaging Guidelines.

OK (LGPL)

 6 - MUST: The License field in the package spec file must match the
           actual license.

OK

 7 - MUST: If (and only if) the source package includes the text of
           the license(s) in its own file, then that file, containing
           the text of the license(s) for the package must be included
           in %doc.

OK

 8 - MUST: The spec file must be written in American English.

OK

 9 - MUST: The spec file for the package MUST be legible. If the
           reviewer is unable to read the spec file, it will be
           impossible to perform a review.  Fedora is not the place
           for entries into the Obfuscated Code Contest ([WWW]
           http://www.ioccc.org/).

OK

10 - MUST: The sources used to build the package must match the
           upstream source, as provided in the spec URL. Reviewers
           should use md5sum for this task.

OK

11 - MUST: The package must successfully compile and build into binary
           rpms on at least one supported architecture.

OK (F-7/i386)

12 - MUST: If the package does not successfully compile, build or work
           on an architecture, then those architectures should be
           listed in the spec in ExcludeArch. Each architecture listed
           in ExcludeArch needs to have a bug filed in bugzilla,
           describing the reason that the package does not
           compile/build/work on that architecture. The bug number
           should then be placed in a comment, next to the
           corresponding ExcludeArch line. New packages will not have
           bugzilla entries during the review process, so they should
           put this description in the comment until the package is
           approved, then file the bugzilla entry, and replace the
           long explanation with the bug number. (Extras Only) The bug
           should be marked as blocking one (or more) of the following
           bugs to simplify tracking such issues...

OK (Unable to test PPC)

13 - MUST: All build dependencies must be listed in BuildRequires,
           except for any that are listed in the exceptions section of
           Packaging Guidelines; inclusion of those as BuildRequires
           is optional. Apply common sense.

OK

14 - MUST: The spec file MUST handle locales properly. This is done by
           using the %find_lang macro. Using %{_datadir}/locale/* is strictly
           forbidden.

OK (no locale-specific files)

15 - MUST: If the package contains shared library files located in the
           dynamic linker's default paths, that package must call
           ldconfig in %post and %postun. If the package has multiple
           subpackages with libraries, each subpackage should also
           have a %post/%postun section that calls /sbin/ldconfig. An
           example of the correct syntax for this is...

OK (no shared libs)

16 - MUST: If the package is designed to be relocatable, the packager
           must state this fact in the request for review, along with
           the rationalization for relocation of that specific
           package. Without this, use of Prefix: /usr is considered a
           blocker.

OK (not relocatable)

17 - MUST: A package must own all directories that it creates. If it
           does not create a directory that it uses, then it should
           require a package which does create that directory. The
           exception to this are directories listed explicitly in the
           Filesystem Hierarchy Standard ([WWW]
           http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is
           safe to assume that those directories exist.

OK

18 - MUST: A package must not contain any duplicate files in the
          %files listing.

OK

19 - MUST: Permissions on files must be set properly. Executables
           should be set with executable permissions, for
           example. Every %files section must include a %defattr(...)
           line.

OK

20 - MUST: Each package must have a %clean section, which contains rm
           -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK

21 - MUST: Each package must consistently use macros, as described in
           the macros section of Packaging Guidelines.

OK

22 - MUST: The package must contain code, or permissable content. This
           is described in detail in the code vs. content section of
           Packaging Guidelines.

OK

23 - MUST: Large documentation files should go in a -doc
           subpackage. (The definition of large is left up to the
           packager's best judgement, but is not restricted to
           size. Large can refer to either size or quantity)

OK

24 - MUST: If a package includes something as %doc, it must not affect
           the runtime of the application. To summarize: If it is in
           %doc, the program must run properly if it is not present.

OK

25 - MUST: Header files or static libraries must be in a -devel
           package.

OK

26 - MUST: Files used by pkgconfig (.pc files) must be in a -devel
           package.

OK

27 - MUST: If a package contains library files with a suffix
           (e.g. libfoo.so.1.1), then library files that end in .so
           (without suffix) must go in a -devel package.

OK

28 - MUST: In the vast majority of cases, devel packages must require
           the base package using a fully versioned dependency:
           Requires: %{name} = %{version}-%{release}

OK

29 - MUST: Packages must NOT contain any .la libtool archives, these
           should be removed in the spec.

OK

30 - MUST: Packages containing GUI applications must include a
           %{name}.desktop file, and that file must be properly
           installed with desktop-file-install in the %install
           section. This is described in detail in the desktop files
           section of Packaging Guidelines. If you feel that your
           packaged GUI application does not need a .desktop file, you
           must put a comment in the spec file with your explanation.

OK

31 - MUST: Packages must not own files or directories already owned by
           other packages. The rule of thumb here is that the first
           package to be installed should own the files or directories
           that other packages may rely upon. This means, for example,
           that no package in Fedora should ever share ownership with
           any of the files or directories owned by the filesystem or
           man package. If you feel that you have a good reason to own
           a file or directory that another package owns, then please
           present that at package review time.

OK

32 - MUST: Release tag must contain %{?dist}.

OK

33 - SHOULD: If the source package does not include license text(s) as
           a separate file from upstream, the packager SHOULD query
           upstream to include it.

OK

34 - SHOULD: The description and summary sections in the package spec
           file should contain translations for supported Non-English
           languages, if available.

OK

35 - SHOULD: The reviewer should test that the package builds in mock.

OK (F-7/i386)

36 - SHOULD: The package should compile and build into binary rpms on
           all supported architectures.

Untested

37 - SHOULD: The reviewer should test that the package functions as
           described. A package should not segfault instead of
           running, for example.



38 - SHOULD: If scriptlets are used, those scriptlets must be
           sane. This is vague, and left up to the reviewers judgement
           to determine sanity.
           REMINDER: Check for condrestart if a service is restarted
           by scriptlets.
           REMINDER: Verify that non-chkconfig/ldconfig commands have
           "|| :".

OK

39 - SHOULD: Usually, subpackages other than devel should require the
           base package using a fully versioned dependency.

OK


APPROVED
Comment 5 Jarod Wilson 2007-07-12 09:47:39 EDT
D'oh, accidentally been sitting on this for nearly a month... I'll get it
imported today...
Comment 6 Jarod Wilson 2007-07-12 09:53:11 EDT
New Package CVS Request
=======================
Package Name: hdhomerun
Short Description: tools for the Silicon Dust HDHomeRun
Owners: jwilson@redhat.com, jeff@ocjtech.us
Branches: F-7, FC-6
InitialCC:
Comment 7 Jarod Wilson 2007-07-12 10:04:37 EDT
Nb: version slated for import does have the perl->sed and iconv changes.
Comment 8 Kevin Fenzi 2007-07-12 12:42:27 EDT
cvs done.
Comment 9 Jeffrey C. Ollie 2007-07-17 11:58:29 EDT
Please close this bug once the packages have been imported and built.
Comment 10 Jarod Wilson 2007-07-17 17:02:52 EDT
bodhi is gonna come through and update this a bit later, but what the hey...
Comment 11 Fedora Update System 2007-07-18 16:55:09 EDT
hdhomerun-0.0-0.2.20070616.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Paul Wouters 2013-05-28 16:46:42 EDT
Package Change Request
======================
Package Name: hdhomerun
New Branches: el6
Owners: pwouters
Comment 13 Gwyn Ciesla 2013-06-03 06:10:44 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.